#!/bin/sh
#
###############################################################################
#
# Andrew G. West - svm_classify.sh - Straightforward SVM learning over
# a training set of edits, in order to classify another set, with peformance
# statistics and a false-positive set output to file.
#
##############################################################################

############## FILENAMES ##############

        # Base-directory relative to which file handling should occur
    BASE_DIR=/home/westand/PreSTA_STiki/learn_svm

        # These file names must agree with those in [feature_classify.java],
        # which expects to drop off feature sets and pick up results.
    CLASS_FILE=$BASE_DIR/class_queue.txt
    RESULT_FILE=$BASE_DIR/class_result.txt
    
        # This file name must agree with that generated by [svm_learn.sh]
    MODEL_FILE=$BASE_DIR/model.txt
    
        # This file name is not dependent. Change it to anything!
    LOG_FILE=$BASE_DIR/class_log.txt


############ CLASSIFICATION ###########

        # Classification could not be more straightforward
    svm_classify $CLASS_FILE $MODEL_FILE $RESULT_FILE > $LOG_FILE
    

############## CLEAN-UP ###############

        # Impossible to clean-up much:
    # rm $LOG_FILE -- let persist to for debugging purposes
    

##################################### END ####################################